Loading...
Searching...
No Matches
nanoflann::ResultItem< IndexType, DistanceType > Struct Template Reference
nanoflann C++ library for KD-trees

`#include <nanoflann.hpp>`

## Public Member Functions

| ResultItem (const IndexType index, const DistanceType distance)

## Public Attributes

IndexType | first
| Index of the sample in the dataset.
DistanceType | second
| Distance from sample to query point.

## Detailed Description

template<typename IndexType = size_t, typename DistanceType = double>
struct nanoflann::ResultItem< IndexType, DistanceType >

Each result element in RadiusResultSet. Note that distances and indices are named first and second to keep backward-compatibility with the std::pair<> type used in the past. In contrast, this structure is ensured to be std::is_standard_layout so it can be used in wrappers to other languages. See: https://github.com/jlblancoc/nanoflann/issues/166

The documentation for this struct was generated from the following file:

- include/nanoflann.hpp